from typing import Generic,List,TypeVar

K = TypeVar('K')
V = TypeVar('V')

class TreeMap(Generic[K,V]):
    def __init__(self) -> None:
        self.elements = {}

    def get(self, key: K) -> V:
        if key in self.elements: return self.elements[key]
        return None

    def put(self, key: K, value: V) -> None:
        self.elements[key] = value

    def remove(self, key: K) -> V:
        if key in self.elements: return self.elements.pop(key)
        return None

    def clear(self) -> None:
        self.elements.clear()

    def keySet(self) -> List[K]:
        return self.elements.keys()

    def values(self) -> List[V]:
        return self.elements.values()
