# NOTE: this class has been translated from Java.
# Do not modify this file, changes will be overwritten.

#package orbitgt.mapping3d.sdk.viewer;

from .....com.orbitgis.tool.Strings import Strings
from .....orbitgt.mapping3d.sdk.viewer.AList import AList
from .....orbitgt.mapping3d.sdk.viewer.Bounds import Bounds
from .....orbitgt.mapping3d.sdk.viewer.Coordinate import Coordinate

#
# Class CoordinatePart defines a list of coordinates that are connected by line segments to form a polyline or polygon.
#

class CoordinatePart:
    # The type of objects in this class */
    TYPE: str = "CL"

    # The EPSG CRS code of the coordinates in this list, like "4326" for example */
    #public String crs
    # The list of points */
    #public AList[Coordinate] points

    #
    # Create a new list. Be sure to set the `crs` property when adding points.
    #
    def __init__(self):
        self.crs = None
        self.points = AList[Coordinate](Coordinate.TYPE)

    #
    # Get the bounds.
    # @return returns a Bounds instance, never null.
    #
    def getBounds(self) -> Bounds:
        bounds = Bounds(self.crs)
        for i in range(0,self.points.size()):
            bounds.addCoordinate(self.points.get(i))
        return bounds

    #
    # Create a line part.
    # @param point0 the first point.
    # @param point2 the second point.
    # @return the line part.
    #
    def createLine(point0: Coordinate,point1: Coordinate) -> 'CoordinatePart':
        part = CoordinatePart()
        part.crs = point0.crs
        part.points.add(point0)
        part.points.add(point1)
        return part

    #
    # Convert the object to a string.
    # @return the string form of the object.
    #
    def toString(self) -> str:
        return "[CoordinatePart:crs="+self.crs+",pointCount="+Strings.toString(self.points.size())+"]"
